function [outputArg] = plot_suspension_positions(panel, start, stop, pltData)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    % plot 1: position front left [mm]
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Damper Position Front left [mm] !!!check sortdata calculation!!!")
    plot(ax1, pltData.xAxis(start:stop),pltData.damper_FL_mm(start:stop))
    % plot 2: position front right [mm]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Damper Position Front right [mm]")
    plot(ax2, pltData.xAxis(start:stop),pltData.damper_FR_mm(start:stop))
    % plot 3: position rear left [mm]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Damper Position Rear left [mm]")
    plot(ax3, pltData.xAxis(start:stop),pltData.damper_RL_mm(start:stop))
    % plot 4: position rear right [mm]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Damper Position Rear right [mm]")
    plot(ax4, pltData.xAxis(start:stop),pltData.damper_RR_mm(start:stop))
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

